package com.sheep.gamegroup.greendao.download;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Property;
import org.greenrobot.greendao.annotation.Generated;

/**
 * Created by realicing on 2018/9/25.
 * realicing@sina.com
 * 接受的自动审核任务运行时长记录表---5.1及其以上使用
 */
@Entity
public class AcceptTaskRecord {
    /**
     * id,
     */
    @Id(autoincrement = true)
    private Long id;
    /**
     * 用户id
     */
    @Property(nameInDb = "user_id")
    private String userId;
    /**
     * 包名
     */
    @Property(nameInDb = "package_name")
    private String packageName;
    /**
     * 接受任务时间
     */
    @Property(nameInDb = "accept_time")
    private long acceptTime;
    /**
     * 运行时长
     */
    @Property(nameInDb = "run_time")
    private long runTime;
    public long getAcceptTime() {
        return this.acceptTime;
    }
    public void setAcceptTime(long acceptTime) {
        this.acceptTime = acceptTime;
    }
    public String getPackageName() {
        return this.packageName;
    }
    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }
    public String getUserId() {
        return this.userId;
    }
    public void setUserId(String userId) {
        this.userId = userId;
    }
    public Long getId() {
        return this.id;
    }
    public void setId(Long id) {
        this.id = id;
    }
    public long getRunTime() {
        return this.runTime;
    }
    public void setRunTime(long runTime) {
        this.runTime = runTime;
    }
    @Generated(hash = 1680818821)
    public AcceptTaskRecord(Long id, String userId, String packageName,
            long acceptTime, long runTime) {
        this.id = id;
        this.userId = userId;
        this.packageName = packageName;
        this.acceptTime = acceptTime;
        this.runTime = runTime;
    }
    @Generated(hash = 889588615)
    public AcceptTaskRecord() {
    }
}
